Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util
Class Cloneable

    java.lang.Object
      org.hibernate.internal.util.Cloneable

    public class Cloneable

extends Object

An object that is shallow-coneable

Constructor Summary
`Cloneable()`

Method Summary
`Object` | `shallowCopy()` Essentially performs a shallow copy of this SessionEventListenerConfig instance; meaning the SessionEventListenerConfig itself is cloned, but the individual listeners are not cloned.
`void` | `validate()` Checks to ensure the SessionEventListenerConfig is fully configured (basically, that none of the listeners is null).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cloneable

    public Cloneable()

Method Detail

### shallowCopy

    public Object shallowCopy()

  Essentially performs a shallow copy of this SessionEventListenerConfig instance; meaning the SessionEventListenerConfig itself is cloned, but the individual listeners are not cloned.

  Returns:
    The SessionEventListenerConfig shallow copy.

### validate

    public void validate()
                  throws HibernateException

  Checks to ensure the SessionEventListenerConfig is fully configured (basically, that none of the listeners is null).

  Throws:
    `HibernateException` - If the SessionEventListenerConfig is not fully configured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.